Linking Applications and Statuses

#### Search Results

Search

# Linking Applications and Statuses

Once PAC statuses are defined and an application is defined to PAC, you must link the statuses to the application to define the application's life-cycle.

All applications defined to PAC are linked automatically to the Control status. The Control status is used internally by PAC and its location cannot be changed by the user.

      14:17:30              Predict Application Control                   2003-10-07
      User DBA              - Application Status Menu -

      Code  Sub-Function                   Code  Sub-Function
      ----  ------------------------------ ----  --------------------------------
        A   Add Application to a Status      S   Select Applications and/or Statuses
        D   Display Application Status       V   Object Version Audit History
        M   Modify Application Status Link   X   Predict Cross Reference Data
        O   Objects for Application Status   ?   Help
        P   Purge Application Status Link    .   Exit
      ----  ------------------------------ ----  --------------------------------

                   Code .......... _
                   Application ... ________________________________
                   Status ........ ________________________________
                   Object ........ ________________________________
                   FTT name ...... ________________________________

     Command ===>
     Enter-PF1---PF2---PF3---PF4---PF5---PF6---PF7---PF8---PF9---PF10--PF11--PF12---
           Help  Menu  Exit                                                  Canc

1. To access the PAC application status maintenance and reporting sub-functions, enter Code L (Application Status Links) on the PAC Main Menu. Depending on your user profile, either the Application Status Menu or the Application Status Reporting Menu appears. The Application Status Menu is used in this discussion because it includes both maintenance and reporting sub-functions.

2. In addition to the desired Code, enter the name, an alias, or range notation to identify an existing application and status to be linked.

3. Specify the name (with Code O or V) or type (with Code V) of a Natural, foreign, Predict, or user error message object within the specified application.

Note
All of the sub-functions listed above, except Add, may be selected for processing directly from the Application Status Link Selection List that is accessed using the Select Application and/or Status sub-function.

This document covers the following topics:

- Screens Used to Define Application Status Links

- Adding an Individual Application Status Link

- Linking Multiple Statuses or Applications

- Selecting an Application Status Link

- Modifying Application Status Links

- Purging an Application Status Link

- Displaying an Application Status Link

- Displaying Objects for an Application Status

- Displaying an Object Version Audit History

- Displaying Predict Cross-Reference Data

## Screens Used to Define Application Status Links

Application status links may be defined from three different screens:

Screen | Use to add / display / modify . . .
--- | ---
Application Status Link | each status for an application individually.
Link Statuses to an Application | all statuses for a specified application.
Link Applications to a Status | all applications for a specified status.

The three application status link screens may be accessed as follows:

- Application Status Link

  - Enter Code A, D, or M, an application name, and a status name on the Application Status Menu; or

  - Enter MOdify, DIsplay, or LInk in the "C" column on the Statuses Linked to Application screen; or

  - Enter MOdify, DIsplay, or LInk in the "C" column on the Link Applications to a Status screen.

- Link Statuses to an Application

  - Enter A, D, or M in the code field, an application name, and range notation for the status name on the Application Status Menu; or

  - Enter Code L (Link Statuses to an Application) on the Application Menu; or

  - Access an Application maintenance screen (Add, Display, or Modify) from the Application Menu; invoke Additional Options and select "Linked Statuses".

- Link Applications to a Status

  - Enter A, D, or M in the code field, a status name, and use range notation for the application name on the Application Status Menu; or

  - Enter Code L (Link Applications to a Status) on the Status Menu; or

  - Access a Status maintenance screen (Add, Display, or Modify) from the Status Menu; invoke Additional Options and select "Linked Applications".

The following diagram illustrates the various routes:

## Adding an Individual Application Status Link

### Step 1. Accessing the Add Application Status Link Screen

Access the Add Application Status Link screen by entering Code A and the name of an existing application and status on the Application Status Menu. Alternatively, enter the LINK APPLICATION direct command on the command line. Refer to the PAC Reference documentation for the correct syntax.

      21:21:24          ***** PREDICT APPLICATION CONTROL *****           2000-04-21
      User UKMJ            - Add Application Status Link -

     Application . DEMO_APPLICATION                 Modified:            by
     Appl. Type .. NAT
     Status ...... ES-D
     Status type . Development

      Application Location
        NATURAL Library ....... ________  DBnr .. _____  Fnr .. _____
        FOREIGN Node .......... ___

      Predict Data
        Maintain Xref ......... N         DBnr .. _____  Fnr .. _____

      SYSDIC Appl. ............... PREDICT
      Compile Steplibs ........ 1) ________________________________
                                2) ________________________________

      Additional Options ...... N

     Command ===>
     Enter-PF1---PF2---PF3---PF4---PF5---PF6---PF7---PF8---PF9---PF10--PF11--PF12---
           Help  Menu  Exit  Opts              StLbs NNat                    Canc

Except for the application name, status, and status type, all fields on this screen can be modified.

The "Add Application Status Link" screen for a Neighbour (Nbor) status is slightly different to the others (see below):

      13:15:01               Predict Application Control                  2003-09-19
      User UKMJ            - Add Application Status Link -

     Application . APPLICATION_ONE                  Modified:            by
     Appl. Type .. NAT
     Status ...... APPLE
     Status type . Neighbour

      Application Location

                  Neighbour Application ... ________________________________

      Additional Options ...... N

     Command ===>
     Enter-PF1---PF2---PF3---PF4---PF5---PF6---PF7---PF8---PF9---PF10--PF11--PF12---
           Help  Menu  Exit  Opts                                            Canc

### Step 2. Editing the Fields on the Screen

Note
Edit all values on the screen before you access the Additional Options. Once the Additional Options are accessed, all other fields on the screen are protected.

#### Application Location Fields

The physical location of the programming objects that make up an application is defined when the application and status are linked.

1. In the Library field, enter (type over the defaults) the library name, database ID number, and file number that specify the location of the Natural objects of the application.

2. If foreign objects are in use by the application, enter a valid 3-digit number for the node where the foreign dataset resides; PAC then automatically displays the relevant system type (operating system). The node number is site-specific.

Alternatively, you can enter node information by accessing Additional Options or pressing PF8 (NNAT). See Step 3 on page Step 3. Editing Foreign Datasets for more information.

#### Predict Data Fields

1. In the Maintain Xref field, enter one of the following options:

   Code | Location | Description
   --- | --- | ---
   L | Local | Cross-reference data is stored within PAC.
   R | Remote | Cross-reference data is copied to the Predict file specified by the application status link.
   B | Both | Cross-reference data is stored within PAC (Local) and is also copied to the Predict file specified by the application status link (Remote).
   N | None | No cross-reference data is maintained.

   Available options depend on the status type.

2. Enter the Predict database ID number (DBnr) and file number (Fnr) that specify the storage location of cross-reference information for the application.

#### Translation Table Fields

1. In the Translation Table field, enter the name of a new or existing file translation table (FTT) that will be invoked when objects are migrated into the status specified on this screen.

   - If an existing FTT is specified, PAC automatically assigns the Shared option if it was specified when the FTT was originally defined. In this case, the Shared option field is protected; the value cannot be modified.

     For an existing FTT, the Shared option may be specified on this screen only if the status was not specified when the FTT was originally defined.

   - If a new name is specified, a "dormant" FTT is created. The name you specify is entered on the FTT list without a version number assigned to it. You must define this dormant FTT later using the Modify File Translation Table sub-function.

   If you specify a new FTT, you must specify the Shared option. If you fail to do so, the following message appears:

   "New transfer table - enter table type."

2. In the Shared field, enter Y (Yes) to allow this FTT to be used by other application status links; enter N (No) to specify that the FTT is not to be shared.

   - Verifies that the FTT is not already in use by another application status link. If the specified FTT is already in use by another application status link and identified as not shared ("N" in the Shared Table field), the use of this FTT by this application status link is rejected.

   - Processes the Shared Option as instructed for this application status link if the FTT is not used by another application status link.

#### Compile Steplibs Fields

This option is available only for migrations from development or maintenance statuses, or for alignment (Control to Control). A maximum of eight compile steplibs may be specified.

On this screen, you can enter the names of two applications within the PAC system that contain subordinate objects (copycode, maps, data areas) required during compilation. You can specify up to six additional application steplibs by accessing Additional Options or by pressing PF7 (StLbs).

#### Test Connection to External Version Control Software

This option is available only when adding or modifying an application status link of type External.

     09:52:23          ***   PREDICT APPLICATION CONTROL   ***           2008-11-05
     User HNO              - Add Application Status Link -

    Application . AAA                                 Added: 2008-10-14 by HNO
    Appl. Type .. NAT
    Status ...... HEB_EXT
    Status type . External

     Access
      User ID ... ________________________________________________________________
      Password ..
     Server
      Encoding .. ________________________________________________________________

     SYSDIC Appl. ............... PREDICT
     Compile Steplibs ........ 1) ________________________________
                               2) ________________________________

     Additional Options ...... N

    Command ===>
    Enter-PF1---PF2---PF3---PF4---PF5---PF6---PF7---PF8---PF9---PF10--PF11--PF12---
          Help  Menu  Exit  Opts              StLbs             Test        Canc

On this screen, you can enter the URL that is used to connect to the external version control software with a given user ID and password. Press PF10 to test the connection.

#### Neighbour Application

This field is modifiable and should contain the name of the receiving application for the inter-application object migrations. All other fields are as per original screen.

### Step 3. Editing Foreign Datasets

1. To access the Foreign Datasets definition screen, press PF8 (NNAT) on the Add Application Status Link screen, or select the Foreign Datasets Additional Option.

   If you did not enter a node number on the Add Application Status Link screen, the following Non-Natural Node Specification window appears:

         11:07:58          ***** PREDICT APPLICATION CONTROL ****            2001-04-09
         User UKMJ            - Add Application Status Link -

        Application . UKMJ_APPLICATION                 Modified:            by
        Appl. Type .. NAT
        Status ...... DEMO
        Status type . Test
                 +----------------------------------------------------+
                 |               Foreign Node Specification           |
         Applica |                                                    |
           NATUR | Application ... UKMJ_APPLICATION                   |
           FOREI | Status ........ DEMO                               |
                 |                                                    |
         Predict | Please specify the Foreign Node for the above link.|
           Maint |                                                    |
                 |    Foreign Node ... ___   System Type ...          |
         Transla |                                                    |      _
                 +----------------------------------------------------+

         Additional Options ...... N

        Command ===>
        Enter-PF1---PF2---PF3---PF4---PF5---PF6---PF7---PF8---PF9---PF10--PF11--PF12---
              Help  Menu  Exit  Opts                    NNat                    Canc

2. Enter the (site-specific) node number; PAC supplies the system type.

3. Edit the datasets and the relevant storage/retrieval types on the resulting screen.

        08:41:07          ***** PREDICT APPLICATION CONTROL *****           2000-04-19
         User PACUSR              - Foreign Datasets -

         Application ....  ABC                                             Page 1 of 1
         Status ......... MAINTENANCE
         Node ........... 0

         Dataset Desc T Dataset Name                                           Volser
         ------------ - ------------------------------------------------------ ------
         Cobol Source S ______________________________________________________ ______
         Job Cntl Lan S ______________________________________________________ ______
         NATURAL Mod  L ______________________________________________________ ______

        Enter-PF1---PF2---PF3---PF4---PF5---PF6---PF7---PF8---PF9---PF10--PF11--PF12---
              Help  Menu  Exit                                                  Canc

   This example screen (for an MVS/ESA node) displays the dataset description and type (T), which are protected fields. Dataset types are defined for the site by the PAC administrator and for the application by the project leader. Some common dataset types are

   L | compiled, load modules (z/OS)
   S | uncompiled, source modules
   * | (asterisk) all types

   The screen also provides information in fields that can be modified:

   Dataset Name | dataset naming conventions are site-specific.
   Volser | volume/serial number information (z/OS).

### Step 4. Editing the Migration Path Additional Option

The Migration Path option is used to create or display migration paths for the current application. For more information, refer to the section Migration Paths.

## Linking Multiple Statuses or Applications

PAC provides a "mass update" facility to define/modify several applications/statuses at once.

This screen . . . | allows you to define / modify multiple . . .
--- | ---
Link Statuses to an Application | statuses to be linked to a particular application.
Link Applications to a Status | applications to be linked to a specific status.

### Step 1. Accessing the Appropriate Link Screen

To display a list of the status links already defined for a specified application, access the Link Statuses to an Application screen by entering Code A (Applications) on the PAC Main Menu; then Code L (Link Statuses to an Application) and the application name on the resulting Application Menu. The following screen appears.

    16:16:18          ***** PREDICT APPLICATION CONTROL *****           2000-05-14
     User PACUSR          - Link Statuses to an Application -

     Application ... ORDERS
                                      T      Library     Predict     PAA
     C          Linked Status         Y    Name  DBnrFnr DBnrFnr X DBnrFnr Message
    --- ----------------------------- - ---------------- --------- ------- --------
     __ ARCHIVE______________________ A * PACS * 232 235 232 236 R ___ ___
     __ CANCEL_______________________ R * PACS * 232 235 232 236 L ___ ___
     __ CONTROL______________________ C * PACS * 232 235 232 236 L ___ ___
     __ DEVELOPMENT__________________ D ORD-EXAM 232 245 232 252 N ___ ___
     __ EXTERNAL_DEVELOPMENT_________ I ORDERS__ 232 245 232 252 N ___ ___
     __ INCORPORATION________________ I ORD-EXAM 232 245 232 252 N ___ ___
     __ MAINTENANCE__________________ M ORDMAINT 232 245 232 252 N ___ ___
     __ PRODUCTION___________________ P * PAA  * ___ ___ ___ ___ N 232 234
     __ SYSTEMS_TEST_________________ T ORD-STST 232 245 232 252 N ___ ___
     __ TEST_________________________ T ORD-TEST 232 245 232 252 N ___ ___
     __ USER_TEST____________________ T ORD-UTST 232 245 232 252 N ___ ___
     __ WITHDRAW_____________________ R * PACS * 232 235 232 236 L ___ ___
             Enter options (above), or '?' (help), or '.' (exit) .. _

    Enter-PF1---PF2---PF3---PF4---PF5---PF6---PF7---PF8---PF9---PF10--PF11--PF12---
          Help  Menu  Exit                           +                      Canc

To list all applications currently defined to a specified status, access the Link Applications to a Status screen by entering Code S (Statuses) on the PAC Main Menu; then Code L (Link Applications to a Status) and the status name on the resulting Status Menu.

     12:15:32          ***** PREDICT APPLICATION CONTROL *****           2000-01-01
     User PACUSR          - Link Applications to a Status -

     Status ... USER_TEST (Test)

                                                         Library         Predict
     C         Linked Application           Name DBnr Fnr    DBnr Fnr Xr Message
    --- --------------------------------  ----------------  ----------- ----------
     __ APL-LINK________________________  ORD-UTST 235 __9   235 _10 N  ...........
     __ ORDERS   _______________________  ORD-UTST 235 __9   235 _10 N.............
     __ PREDICT_________________________  PRD-LIB_ 236 _17   237 _15 N ............
        ________________________________  ________ ___ ___   ___ ___ _
        ________________________________  ________ ___ ___   ___ ___ _
        ________________________________  ________ ___ ___   ___ ___ _
        ________________________________  ________ ___ ___   ___ ___ _
        ________________________________  ________ ___ ___   ___ ___ _
        ________________________________  ________ ___ ___   ___ ___ _
        ________________________________  ________ ___ ___   ___ ___ _
        ________________________________  ________ ___ ___   ___ ___ _
        ________________________________  ________ ___ ___   ___ ___ _

                       Enter options (above), or '?' (help), or '.' (Exit): _
    Enter-PF1---PF2---PF3---PF4---PF5---PF6---PF7---PF8---PF9---PF10--PF11--PF12---
    Help  Menu  Exit                                                  Canc

When you access either screen using the Add or Modify sub-function, you can:

- Add a new link by entering a different status/application name on an available blank line in the Linked Status/Application column.

- Change the environment defined for existing link(s) by typing over the information for the library or Predict location.

Note
You cannot change the library name and location information used for the application in the Control, Archive, Retire and Production statuses, which is protected in a special library reserved for use by PAC.

- purge existing links by entering the Purge option (PU) in the "C" column next to the link you wish to delete.

- maintain or display foreign dataset information by entering MN or DN, respectively, in the "C" column next to the application status link. The Foreign Datasets screen appears.

- specify file translation tables (FTTs), steplib(s), and the Predict Case library name (if applicable) by entering the Modify Link Definition option (M or MO) in the "C" column next to the application status link.

### Step 2. Linking the Status(es)

Add each status/application as follows:

1. Enter the name of the status/application in the "Linked Status/Application" column.

2. In the Library "Name", "DBnr", and "Fnr" columns, respectively, enter the Natural library name, database ID number, and file number where the application is located. For production statuses, these fields do not exist.

   Note
   If no library, database, or file number are entered, the Library field displays the values set in the application library defaults. The database and file number fields display the values set when the status/application was defined. For production statuses, enter the database ID (DBID) and file number (Fnr) of the PAA system file.

3. Enter the Predict database ID number and file number where the cross-reference data is stored, in the Predict "DBnr" and "Fnr" columns, respectively.

   Note
   If no Predict database or file number are entered, the Predict Data database (DBnr) and file number (Fnr) display the values set when the status/application was defined. You may override these values.

4. Enter cross-reference information in the "Xr" column (L for Local; R for Remote; B for both; N for none. The available options depend on the status type.

5. Press ENTER to link the status to the application.

   When the application link is successfully added, the "Message" column displays the message "Added".

## Selecting an Application Status Link

You can access a list of links defined for a specified application,status or FTT by entering Code S (Select Application and/or Status or FTT) on the Application Status Menu along with the application or status or FTT name (or a range for either).Alternatively, you can enter the SELECT direct command on the command line. Refer to the PAC Reference documentation for the correct syntax.

The Application Status Link Selection List appears:

      08:42:34          ***** PREDICT APPLICATION CONTROL *****           2000-04-19
      User PACUSR      - Application Status Link Selection List -
       DISPLAY Link Application * Status *
      C Nr Application Name                   Status
      - -- --------------------------------   --------------------------------
      _  1 ABC                                DEVELOPMENT
      _  2 ABC-2                              ARCHIVE
      _  3 ABC-2                              CONTROL
      _  4 ABC-2                              DEV_MVS
      _  5 ABC-2                              DEV_MVS
      _  6 ABC-2                              DEVELOPMENT
      _  7 ABC-2                              HISTORY-PRODUCTION
      _  8 ABC-2                              MAINTENANCE
      _  9 ABC-2                              PRODUCTION
      _ 10 ABC-2                              TEST
      _ 11 ABC-2                              TST_MVS
      _ 12 APL_EXAMPLE_1                      CONTROL
      _ 13 APL_EXAMPLE_1                      DEVELOPMENT
                     Mark Selection, Enter Number or 'T' (Top) __

     Command ===>
     Enter-PF1---PF2---PF3---PF4---PF5---PF6---PF7---PF8---PF9---PF10--PF11--PF12---
           Help  Menu  Exit              --          +                       Canc

If you accessed this screen using the S (Select Application Status Link) sub-function or the SELECT direct command, the following sub-functions can be processed directly for one or more of the listed application status links by entering the code for the sub-function in the "C" column: D (Display), M (Modify), O (Object versions), P (Purge), S (Select) and V (Object version audit history).

If you mark the application status with the cursor or enter an X or an S in the "C" column, or enter the application status link number (from the "Nr" column) in the Mark Selection... field, you are returned to the Application Status Menu; the specified application and status are displayed in the Application field and Status field, respectively.

If selection is by FTT then the following screen is displayed:

     14:27:29              Predict Application Control                   2003-10-07
     User DBA     - Application Status Link Selection List -
     SELECT Link Application * Status * FTT ES_FTT_0001
     C Nr Application Name                   Status
     - -- --------------------------------   --------------------------------
     _  1 APPLE                              TES7

                    Mark Selection, Enter Number or 'T' (Top) __

    Command ===>
    Enter-PF1---PF2---PF3---PF4---PF5---PF6---PF7---PF8---PF9---PF10--PF11--PF12---
          Help  Menu  Exit              --          +                       Canc

## Modifying Application Status Links

PAC offers the ability to change application status links individually, to change all links for a single application, or to change all applications for a single status.

This section covers the following topics:

- Modifying a Single Application Status Link

- Modifying All Statuses for an Application

- Modifying All Applications for a Status

### Modifying a Single Application Status Link

    10:32:08           ***** PREDICT APPLICATION CONTROL *****           2000-07-01
    User PACUSR           - Modify Application Status Link -

                Application .. ORDERS          Modified: 1998-03-21        by EXUSR
                Status ....... INSERVICE
                Status type .. production

                Application Location
                             Production PAA ........  DBnr .. ___  Fnr .. ___
                                                         Maintain Xref .. _

    Translation Table ... ________________________________  Shared ..

    Additional Options .. N

    Command ===>
    Enter-PF1---PF2---PF3---PF4---PF5---PF6---PF7---PF8---PF9---PF10--PF11--PF12---
          Help  Menu  Exit  Opts              StLbs NNAT                    Canc

To modify an individual application status link, enter Code M (Modify Application Status Link) on the Application Status Menu.

The resulting Modify Application Status Link screen is similar to the Add Application Status Link screen, but instead contains parameters for the production status of the application.

### Modifying All Statuses for an Application

To modify all statuses for an application at one time, enter Code A (Applications) on the PAC Main Menu; then Code L (Link Statuses to an Application) and the application name on the resulting Application Menu.

### Modifying All Applications for a Status

To modify all applications for a specific status at one time, enter Code S (Statuses) on the PAC Main Menu; then Code L (Link Applications to a Status) and the status name on the resulting Status Menu.

The screen that appears is similar to the Link Applications to a Status screen.

## Purging an Application Status Link

To purge a status link, enter Code P, the application name, and the status name on the Application Status Menu.

If objects exist in the application status link, the purge request is ignored and the following message is displayed:

"Objects exist in this Status. Purge cannot be performed until the objects have been deleted via the PAC Administrator Functions."

Otherwise, the Purge Confirmation window appears reminding you that the associated migration paths and fixed file translation tables will also be purged.

From the Purge Confirmation window, you have the following options:

- Type Confirm or press PF5 to purge the application status link.

- Type a period (.) or press PF3 to return to the Application Menu without purging the application status link.

## Displaying an Application Status Link

To display application status link information, enter Code D (Display Application Status) together with the application name and status name on the Application Status Menu.

The Display Application Status Link screen appears; it is similar to the Add Application Status Link screen. You may not modify the Display information.

This section covers the following topics:

- Displaying Additional Options

### Displaying Additional Options

When you access Additional Options from the Display Application Status Link screen, you can display a list of object versions, a list of the migration path destinations associated with the status link, and information about when and by whom the application status link was added/modified.

Option | Displays a list of . . .
--- | ---
Compile Steplibs | up to eight applications defined as steplibs on the Compile Steplibs window. These are displayed only for maintenance or development statuses.
Object Versions | the application objects currently at this status. You can also display this list directly from the Application Status Menu by entering Code O (Objects for Application Status).
Foreign Datasets | Foreign support application status the foreign datasets currently defined to the application status link. You can also display this list directly by entering PF8 (NNAT) on the Display Application Status Link screen.
Migration Path | destination status names. You can also display this list directly from the Migration Path Menu.
Translation Table Usage | statuses that use the same FTT used by this application status link. If no translation table is in use by any statuses, a message to that effect is displayed. These are displayed only for non-maintenance or non-development statuses.

## Displaying Objects for an Application Status

You can obtain information about an application's versioned objects by using the Objects for Application Status sub-function on the Application Status Menu.

This section covers the following topics:

- Displaying a Specific Object

- Displaying Objects from a List

### Displaying a Specific Object

To display information about a specific object in a specific status, enter Code O (Objects for Application Status) on the Application Status Menu along with the application name, status name, and object name. The Display Object Version screen appears:

#### Natural Object Version

    10:32:08           ***** PREDICT APPLICATION CONTROL *****           2000-07-01
    User PACUSR             - Display Object Version -

    Application ... BA_APL
    Object ........ BPGMC1.0001 (Copycode)
    Saved ......... 1998:12:20 14:33:45
    Cataloged ..... 0000:01:02 00:00:00

    Migration Event OS-NATURAL-MIGRATE
    Created .......... 1997:04:01 14:31:59

                   --- Development Source Directory Information ---
    Library .... BADEV      User-ID ...... PACUSR      Saved .. 1997-11-08 18:52:07
    Tp-System .. COMPLETE   Terminal-ID .. 8     10
    Op-System .. MVS/XA     Transaction .. NAT27
    NAT-Ver .... 2.1.7      Mode ......... Report
    Size in ESIZE ........................ 58      Bytes

    Additional Options ... N

    Command ===>
    Enter-PF1---PF2---PF3---PF4---PF5---PF6---PF7---PF8---PF9---PF10--PF11--PF12---
          Help  Menu  Exit  Opts                                            Canc

This screen displays information about the specified Natural, Predict, or user error message objects as follows.

#### Natural Objects

For a Natural object, as shown in the above example, the Display Object Version screen displays

- the application to which the object belongs;

- the name, version, and type of the specified object;

- the dates and times the object was saved and cataloged (if the date is zero (0), then either the saved or cataloged object does not exist);

- the name of the migration event that migrated the object into the specified status and the date the event was created;

- information about the development source directory;

- Additional Options:

  - the source code for the specified object.

  - a list of statuses in which the object resides.

  - a list of objects used by the specified object.

  - a list of objects that use the specified object. If the object is in the steplib application and is used by more than one application, a list of the applications is displayed.

  - additional (extended) user-defined information about the object version history, for example, application name and object name.

  - a directory display of the specified object.

Refer to section Creating and Validating an Object List for detailed information about objects used by a specific object and the objects that use a specific object.

#### Predict Objects

For a Predict object, the Display Object Version screen displays the Predict event used to migrate the object and also Predict migration information. The Saved field is not displayed.

#### User Error Message Objects

For a user error message, the Display Object Version screen displays the event used to migrate the object along with the date and time the error message was incorporated. Information includes the number of short messages, extended messages, and languages.

#### Foreign Object Version (MVS/ESA, z/OS)

      08:54:06          ***** PREDICT APPLICATION CONTROL *****           2000-01-01
      User PACUSR       - Display Non-NATURAL Object Version -

      Application ... ORDERS
      Object ........ ASPGM.0001 (AS Src & Ld)

      Migration Event .. OS-NONNAT-MIGRATE
      Created .......... 93:04:01 14:31:59

            ---  External Object Information  - Node  206  (MVS/ESA)  ---
      Source Dataset . AB.SAGXX.SOURCE                                         SMS004
       Date Created .. 1996/06/15         Lines .. 576
       Date Modified . 1996/12/15  07:54  Lines .. 88     Version.Mod .... 01.05
       User-ID ....... SAGXX
      Object Dataset . AB.SAGXX.LOAD                                           SMS004
       Date Linked ... 20/10/1996
       Module Length . 280
       Attributes .... TEST
      Additional Options ... N

     Command ===>
     Enter-PF1---PF2---PF3---PF4---PF5---PF6---PF7---PF8---PF9---PF10--PF11--PF12---
           Help  Menu  Exit  Opts                                            Canc

This screen displays information about the specified foreign object version. External object information includes the

- node and system type where the dataset is located;

- name of the source/object datasets to which the object belongs and the Volser (SMS004 in this example);

- date the object was created;

- number of lines of code comprising the object when it was created;

- date and time the object was last modified, the number of lines after the most recent modification;

- version of the object that was modified and the number of lines that were modified;

- ID of the user who last modified the object;

- operating system attributes of the object (in the above example, a test environment).

### Displaying Objects from a List

You can display a list of the objects of an application in a specific status from the Application Status Menu as follows:

1. To display a list of application objects in a specific status, enter Code O (Objects for Application Status) on the Application Status Menu along with the application name and status name.

   The Object Version Selection List appears:

         17:43:13          ***** PREDICT APPLICATION CONTROL *****           2000-05-14
         User PACUSR          - Object Version Selection List -

         C Nr Object Name                      Object Type     Ver  Migration Date
         - -- -------------------------------- --------------- ---- ------------------
         _  1 ABEND                            Program         0001 1998-05-05 21:46:04
         _  2 ADADBS5                          Karen's jcl     0001 1998-02-03 23:45:38
         _  3 ADAINV                           Karen's jcl     0001 1998-02-03 23:45:39
         _  4 CALLPROG                         Program         0001 1998-05-05 21:46:04
         _  5 CALLSUB                          Subprogram      0001 1998-05-05 21:46:05
         _  6 DEMO                             Processor       0001 1998-05-05 21:46:05
         _  7 EDTKST                           Program         0002 1998-05-05 21:46:05
         _  8 EDTKST                           Program         0001 1997-10-08 18:06:53
         _  9 EDTPAC                           Program         0001 1997-10-08 18:06:55
         _ 10 EEWORK                           Program         0001 1998-05-05 21:46:05
         _ 11 EMARRAY                          Program         0001 1998-05-05 21:46:05
         _ 12 EMPGM                            Program         0001 1998-05-05 21:46:05
         _ 13 EMPLLCL2                         Local           0001 1998-05-05 21:46:05
         _ 14 EMPLMAP                          Map             0001 1998-05-05 21:46:05
                        Mark Selection, Enter Number or 'T' (Top) __

        Command ===>
        Enter-PF1---PF2---PF3---PF4---PF5---PF6---PF7---PF8---PF9---PF10--PF11--PF12---
              Help  Menu  Exit              --          +                       Canc

   This screen lists the type and version of each object; and the date and time that each object version was migrated into that status.

   Note
   Where no cataloged version exists, the object name is highlighted.

2. To display information about individual objects on the Display Object Version screen, mark the desired object with the cursor, or enter the number of the object (from the "Nr" column) in the Mark Selection... field.

## Displaying an Object Version Audit History

1. To list the versions of application objects from the Application Status Menu, enter Code V (Object Version Audit History) and the application name and status name.

   You may limit the list of objects by specifying range notation in the Object Name field.

   The Audit History Selection List appears for statuses other than Control. The screen displayed for the Control status shows the date the objects were migrated. For statuses other than Control, the effective date and superseded date are displayed.

       07:47:24          ***** PREDICT APPLICATION CONTROL *****           2000-01-01
        User PACUSR          - Audit History Selection List -

        Application ... ORDERS
        Status ........ USER_TEST
        C Nr Object Name                      Object Type Version Effective Date
        - -- -------------------------------- ----------- ------- -----------------
        _  1 AHLP                             Helproutine   0004  1997-08-14 20:00:40
        _  2 AHLP                             Helproutine   0003  1997-08-14 19:55:59
        _  3 AHLP                             Helproutine   0002  1997-08-13 14:56:12
        _  4 ARTICLE                          View          0001  1997-08-14 20:00:44
        _  5 ARTICLE                          View          0001  1997-08-14 19:56:01
        _  6 ARTICLE                          View          0001  1997-08-13 14:56:13
        _  7 CUSTOMER-1                       View          0001  1997-08-14 20:00:44
        _  8 CUSTOMER-1                       View          0001  1997-08-14 19:56:01
        _  9 CUSTOMER-1                       View          0001  1997-08-13 14:56:13
        _ 10 DEL-INV                          Program       0004  1997-08-14 20:00:41
        _ 11 DEL-INV                          Program       0002  1997-08-13 14:56:12
        _ 12 INVOICE                          View          0001  1997-08-14 20:00:44
                       Mark Selection, Enter Number or 'T' (Top) __

       Command ===>
       Enter-PF1---PF2---PF3---PF4---PF5---PF6---PF7---PF8---PF9---PF10--PF11--PF12---
             Help  Menu  Exit              --          +                 SDate Canc

   The Audit History Selection List screen displays the specified application and status together with objects, object types and version numbers; and the effective date and time the objects were moved into the specified status.

2. Display the Superseded Date column by pressing PF11 (SDate).

   This column displays the date and time the object version was replaced by the object version displayed immediately above:

        07:50:33          ***** PREDICT APPLICATION CONTROL *****           2000-01-01
        User  PACUSR         - Audit History Selection List -

        Application ... ORDERS
        Status ........ USER_TEST
        C Nr Object Name                      Object Type Version Superseded Date
        - -- -------------------------------- ----------- ------- -----------------
        _  1 AHLP                             Helproutine   0004
        _  2 AHLP                             Helproutine   0003  1997-08-14 20:00:40
        _  3 AHLP                             Helproutine   0002  1997-08-14 19:55:59
        _  4 ARTICLE                          View          0001
        _  5 ARTICLE                          View          0001  1997-08-14 20:00:44
        _  6 ARTICLE                          View          0001  1997-08-14 19:56:01
        _  7 CUSTOMER-1                       View          0001
        _  8 CUSTOMER-1                       View          0001  1997-08-14 20:00:44
        _  9 CUSTOMER-1                       View          0001  1997-08-14 19:56:01
        _ 10 DEL-INV                          Program       0004
        _ 11 DEL-INV                          Program       0002  1997-08-14 20:00:41
        _ 12 INVOICE                          View          0001
                       Mark Selection, Enter Number or 'T' (Top) __

       Command ===>
       Enter-PF1---PF2---PF3---PF4---PF5---PF6---PF7---PF8---PF9---PF10--PF11--PF12---
             Help  Menu  Exit              --          +           EDate       Canc

   For example, on the above screen, Version 0002 of the help routine AHLP was replaced (superseded) by Version 0003 on 1997-08-14 at 20:00:40.

3. Press PF10 (Left) to return to the previous screen.

4. To display information about specific object versions listed on the Audit History Selection List, mark the desired object with the cursor, or enter the number of the desired object (from the "Nr" column) in the Mark Selection... field.

See the description of the resulting Display Object Version screen.

## Displaying Predict Cross-Reference Data

The Predict cross-reference sub-functions allow you to obtain cross-reference information about an application. This information is available for statuses other than the Control status only if the Maintain Xref attribute for that status specifies one of the following:

Attr. | Location | Description
--- | --- | ---
L | Local | Cross-reference data is stored within PAC. (Control status.)
R | Remote | Cross-reference data is copied to the Predict file specified by the application status link. (Development, incorporation, maintenance, test, and production statuses.)
B | Both | Cross-reference data is stored both locally and remotely. (Test or production statuses.)

1. To display the Xref Menu, enter Code X (Predict Cross-Reference Data) along with the application name and the status name on the Application Status Menu.

   - If you specify Control status, all versions are traced by Control. PAC allows you to display cross-reference information only for the most recent versions of the objects that are in Control status.

   - You may specify a status other than Control if either B (both local and remote) or R (remote) was specified for that status. In this case, the cross-reference data is displayed as it exists in the external Natural library.

   The Predict Xref Menu appears:

           18:56:29            *****  P R E D I C T 4.1.1  *****               2000-02-03
         Library: * PACS *            -   Xref Menu   -          DBnr:   164 Fnr:   245
         Applic.: JHE_APPL                                                      CONTROL

         Code  Object                             Code  Object
         ----  ------------------------------     ----  -------------------------------
           I   Invoked programs                    S   Retained sets
           D   Data areas and variables            R   Processing rules
           V   Views and fields                    X   Report programs with xref data
           C   Copycode                            A   Verify application
           E   Error numbers                       N   Create new sets via selection
           P   Printers                            O   Operate on sets
           W   Work files
         ----  ------------------------------     ----  -------------------------------

               Code .........:   (!? Help  . Terminate)
               Structure ...*:
               System .......:

        Command ===>
        Enter-PF1---PF2---PF3---PF4---PF5---PF6---PF7---PF8---PF9---PF10--PF11--PF12---
              Invp  GDAV  Quit  Sets  Rule  Copy  Xref  View  OSet  SPfk  Main  Exit

   The Predict Xref Menu screen allows you to obtain information about Predict cross-reference objects that belong to a specific application including programs, data areas, userviews, copycode, and retained sets.

2. To access an object, enter the relevant Code on the Predict Xref Menu. Alternatively, you may enter a direct command.

For more information about the Predict cross-reference facility, refer to the Predict documentation. Also, refer to section Migrating Predict Objects.

### On this page

- Screens Used to Define Application Status Links
- Adding an Individual Application Status Link
- Linking Multiple Statuses or Applications
- Selecting an Application Status Link
- Modifying Application Status Links
- Purging an Application Status Link
- Displaying an Application Status Link
- Displaying Objects for an Application Status
- Displaying an Object Version Audit History
- Displaying Predict Cross-Reference Data